net.sf.jasperreports.data.xmla

## Interface XmlaDataAdapter

- All Superinterfaces:
    DataAdapter
  All Known Implementing Classes:
    XmlaDataAdapterImpl

      public interface XmlaDataAdapter
      extends DataAdapter

  Version:
    $Id: XmlaDataAdapter.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCatalog()`
    `java.lang.String` | `getCube()`
    `java.lang.String` | `getDatasource()`
    `java.lang.String` | `getPassword()`
    `java.lang.String` | `getUsername()`
    `java.lang.String` | `getXmlaUrl()`
    `boolean` | `isSavePassword()`
    `void` | `setCatalog(java.lang.String catalog)`
    `void` | `setCube(java.lang.String cube)`
    `void` | `setDatasource(java.lang.String datasource)`
    `void` | `setPassword(java.lang.String password)`
    `void` | `setSavePassword(boolean savePassword)`
    `void` | `setUsername(java.lang.String username)`
    `void` | `setXmlaUrl(java.lang.String xmlaUrl)`

    - ### Methods inherited from interface net.sf.jasperreports.data.DataAdapter

      `getName, setName`

- - ### Method Detail

    - #### getXmlaUrl

          java.lang.String getXmlaUrl()

    - #### setXmlaUrl

          void setXmlaUrl(java.lang.String xmlaUrl)

    - #### getDatasource

          java.lang.String getDatasource()

    - #### setDatasource

          void setDatasource(java.lang.String datasource)

    - #### getCatalog

          java.lang.String getCatalog()

    - #### setCatalog

          void setCatalog(java.lang.String catalog)

    - #### getCube

          java.lang.String getCube()

    - #### setCube

          void setCube(java.lang.String cube)

    - #### getPassword

          java.lang.String getPassword()

    - #### setPassword

          void setPassword(java.lang.String password)

    - #### isSavePassword

          boolean isSavePassword()

    - #### setSavePassword

          void setSavePassword(boolean savePassword)

    - #### getUsername

          java.lang.String getUsername()

    - #### setUsername

          void setUsername(java.lang.String username)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com